# dmd.parsetimevisitor

Defines a visitor for the AST.

#### Discussion

Other visitors derive from this class.

Documentation: https://dlang.org/phobos/dmd_parsetimevisitor.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/parsetimevisitor.d

- `ParseTimeVisitor`

  #### Declaration

  `class `ParseTimeVisitor`(AST);`

  Basic and dumm visitor which implements a visit method for each AST node implemented in AST. This visitor is the parent of strict, transitive and permissive visitors.